Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1880786 - PodNetworkConnectivityCheck is missing description for `oc explain`
Summary: PodNetworkConnectivityCheck is missing description for `oc explain`
Keywords:
Status: ASSIGNED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.6
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Luis Sanchez
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-20 00:12 UTC by Jason Boxman
Modified: 2021-07-23 07:02 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift api pull 741 0 None closed Bug 1880786: operatorcontrolplane: make structural 2021-05-27 14:40:34 UTC

Description Jason Boxman 2020-09-20 00:12:50 UTC
Description of problem:

There is no description for PodNetworkConnectivityCheck CRD reported by `oc explain`.



How reproducible:

Always.


Steps to Reproduce:

`oc explain PodNetworkConnectivityCheck`

Actual results:

KIND:     PodNetworkConnectivityCheck
VERSION:  controlplane.operator.openshift.io/v1alpha1

DESCRIPTION:
     <empty>



Expected results:

A description of what this CRD is for.

Comment 2 Xingxing Xia 2020-09-22 11:18:07 UTC
Verified in latest 4.6.0-0.nightly-2020-09-22-073212, still reproduced. Waiting for bumping PR for the merged dependent https://github.com/openshift/api/pull/741

Comment 3 Stefan Schimanski 2020-09-23 10:03:42 UTC
The api change needs revendoring into kube-apiserver-operator.

Comment 4 Stefan Schimanski 2020-09-25 09:25:23 UTC
Moving out of 4.6. This is cosmetics and can be backported later.

Comment 5 Stefan Schimanski 2020-10-02 09:36:31 UTC
The CRD is opt-in now and unsupported. So low prio.

Comment 7 Ke Wang 2021-06-10 11:43:44 UTC
$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.8.0-0.nightly-2021-06-09-142759   True        False         9h      Cluster version is 4.8.0-0.nightly-2021-06-09-142759

$ oc explain PodNetworkConnectivityCheck
KIND:     PodNetworkConnectivityCheck
VERSION:  controlplane.operator.openshift.io/v1alpha1

DESCRIPTION:
     PodNetworkConnectivityCheck

FIELDS:
   apiVersion	<string>
     APIVersion defines the versioned schema of this representation of an
     object. Servers should convert recognized schemas to the latest internal
     value, and may reject unrecognized values. More info:
     https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

   kind	<string>
     Kind is a string value representing the REST resource this object
     represents. Servers may infer this from the endpoint the client submits
     requests to. Cannot be updated. In CamelCase. More info:
     https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

   metadata	<Object>
     Standard object's metadata. More info:
     https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

   spec	<Object> -required-
     Spec defines the source and target of the connectivity check

   status	<Object>
     Status contains the observed status of the connectivity check

Comment 8 Ke Wang 2021-06-11 02:40:21 UTC
From Comment #7, the DESCRIPTION for PodNetworkConnectivityCheck is terrible,it's the equivalent of nothing being explained. Let's see a normal description, as below, 

$ oc explain crd
KIND:     CustomResourceDefinition
VERSION:  apiextensions.k8s.io/v1

DESCRIPTION:
     CustomResourceDefinition represents a resource that should be exposed on
     the API server. Its name MUST be in the format <.spec.name>.<.spec.group>.
...

I think the linked PR doesn't fixed the bug, I have to move it ASSIGNED.


Note You need to log in before you can comment on or make changes to this bug.